﻿<Window x:Class="Arkanoid.Views.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:Arkanoid"
        xmlns:views="clr-namespace:Arkanoid.Views"
        mc:Ignorable="d"
        Title="Arkanoid"
        WindowState="Maximized"
        MinWidth="{Binding WindowMinWidth}"
        MinHeight="{Binding WindowMinHeight}"
        Background="Black">
    <Window.InputBindings>
        <KeyBinding Key="Space" Command="{Binding LaunchBallCmd}"/>
    </Window.InputBindings>
    <Grid VerticalAlignment="Center" HorizontalAlignment="Center" Background="DarkGray" Width="{Binding LevelWidth}">
        <Grid.RowDefinitions>
            <RowDefinition Height="32"/>
            <RowDefinition/>
        </Grid.RowDefinitions>
        
        <!--Player stats-->
        <views:PlayerView Grid.Row="0" DataContext="{Binding PlayerVM}"/>
        
        <!--Displays game controls (keybinding)-->
        <TextBlock Grid.Row="1" Text="Move pad with arrows. Launch ball with spacebar." HorizontalAlignment="Center" VerticalAlignment="Center">
            <TextBlock.Style>
                <Style TargetType="TextBlock">
                    <Style.Triggers>
                        <DataTrigger Binding="{Binding ShowControls}" Value="False">
                            <Setter Property="Visibility" Value="Hidden"/>
                        </DataTrigger>
                    </Style.Triggers>
                </Style>
            </TextBlock.Style>
        </TextBlock>
        
        <!--Main game area-->
        <Canvas Grid.Row="1" Width="{Binding LevelWidth}" Height="{Binding LevelHeight}">
            <Image Source="/Images/Ball.Png" Width="16" Height="16" Canvas.Left="{Binding BallX}" Canvas.Bottom="{Binding BallY}"/>
            <Image Source="/Images/Pad.Png" Width="122" Height="32" VerticalAlignment="Bottom" Canvas.Left="{Binding PadX}" Canvas.Bottom="0"/>
            <ItemsControl ItemsSource="{Binding Bricks}">
                <ItemsControl.ItemTemplate>
                    <DataTemplate>
                        <views:BrickView/>
                    </DataTemplate>
                </ItemsControl.ItemTemplate>
                <ItemsControl.ItemsPanel>
                    <ItemsPanelTemplate>
                        <Canvas Height="600"/>
                    </ItemsPanelTemplate>
                </ItemsControl.ItemsPanel>
                <ItemsControl.ItemContainerStyle>
                    <Style>
                        <Setter Property="Canvas.Left" Value="{Binding LeftEdgeX}" />
                        <Setter Property="Canvas.Bottom" Value="{Binding BottomEdgeY}" />
                    </Style>
                </ItemsControl.ItemContainerStyle>
            </ItemsControl>
        </Canvas>
    </Grid>
</Window>
